io.vertx.rxjava.ext.jdbc

## Class JDBCClient

- java.lang.Object
- - io.vertx.rxjava.ext.sql.SQLClient
  - - io.vertx.rxjava.ext.jdbc.JDBCClient

- All Implemented Interfaces:
    SQLOperations

      public class JDBCClient
      extends SQLClient

  An asynchronous client interface for interacting with a JDBC compliant database

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JDBCClient>` | `__TYPE_ARG`
    `static String` | `DEFAULT_DS_NAME` The name of the default data source
    `static String` | `DEFAULT_PROVIDER_CLASS` The default data source provider is C3P0

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCClient(JDBCClient delegate)`
    `JDBCClient(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JDBCClient` | `create(Vertx vertx, JsonObject config)` Create a JDBC client which maintains its own data source.
    `static JDBCClient` | `createShared(Vertx vertx, JsonObject config)` Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default data source name
    `static JDBCClient` | `createShared(Vertx vertx, JsonObject config, String dataSourceName)` Create a JDBC client which shares its data source with any other JDBC clients created with the same data source name
    `boolean` | `equals(Object o)`
    `JDBCClient` | `getDelegate()`
    `int` | `hashCode()`
    `static JDBCClient` | `newInstance(JDBCClient arg)`
    `SQLOperations` | `querySingle(String sql)` Execute a one shot SQL statement that returns a single SQL row.
    `SQLOperations` | `querySingle(String sql, Handler<AsyncResult<JsonArray>> handler)` Execute a one shot SQL statement that returns a single SQL row.
    `SQLOperations` | `querySingleWithParams(String sql, JsonArray arguments)` Execute a one shot SQL statement with arguments that returns a single SQL row.
    `SQLOperations` | `querySingleWithParams(String sql, JsonArray arguments, Handler<AsyncResult<JsonArray>> handler)` Execute a one shot SQL statement with arguments that returns a single SQL row.
    `Single<JsonArray>` | `rxQuerySingle(String sql)` Execute a one shot SQL statement that returns a single SQL row.
    `Single<JsonArray>` | `rxQuerySingleWithParams(String sql, JsonArray arguments)` Execute a one shot SQL statement with arguments that returns a single SQL row.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.sql.SQLClient

      `call, call, callWithParams, callWithParams, close, close, getConnection, getConnection, newInstance, query, query, queryStream, queryStream, queryStreamWithParams, queryStreamWithParams, queryWithParams, queryWithParams, rxCall, rxCallWithParams, rxClose, rxGetConnection, rxQuery, rxQueryStream, rxQueryStreamWithParams, rxQueryWithParams, rxUpdate, rxUpdateWithParams, update, update, updateWithParams, updateWithParams`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.sql.SQLOperations

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JDBCClient> __TYPE_ARG

    - #### DEFAULT_PROVIDER_CLASS

          public static final String DEFAULT_PROVIDER_CLASS

      The default data source provider is C3P0
      See Also:
        Constant Field Values

    - #### DEFAULT_DS_NAME

          public static final String DEFAULT_DS_NAME

      The name of the default data source
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JDBCClient

          public JDBCClient(JDBCClient delegate)

    - #### JDBCClient

          public JDBCClient(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SQLClient`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SQLClient`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SQLClient`

    - #### getDelegate

          public JDBCClient getDelegate()

      Specified by:
        `getDelegate` in interface `SQLOperations`
      Overrides:
        `getDelegate` in class `SQLClient`

    - #### querySingle

          public SQLOperations querySingle(String sql,
                                           Handler<AsyncResult<JsonArray>> handler)

      Execute a one shot SQL statement that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `querySingle` in interface `SQLOperations`
      Overrides:
        `querySingle` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
        `handler` - the result handler
      Returns:
        self

    - #### querySingle

          public SQLOperations querySingle(String sql)

      Execute a one shot SQL statement that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `querySingle` in interface `SQLOperations`
      Overrides:
        `querySingle` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
      Returns:
        self

    - #### rxQuerySingle

          public Single<JsonArray> rxQuerySingle(String sql)

      Execute a one shot SQL statement that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `rxQuerySingle` in interface `SQLOperations`
      Overrides:
        `rxQuerySingle` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
      Returns:
        self

    - #### querySingleWithParams

          public SQLOperations querySingleWithParams(String sql,
                                                     JsonArray arguments,
                                                     Handler<AsyncResult<JsonArray>> handler)

      Execute a one shot SQL statement with arguments that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `querySingleWithParams` in interface `SQLOperations`
      Overrides:
        `querySingleWithParams` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
        `arguments` - the arguments
        `handler` - the result handler
      Returns:
        self

    - #### querySingleWithParams

          public SQLOperations querySingleWithParams(String sql,
                                                     JsonArray arguments)

      Execute a one shot SQL statement with arguments that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `querySingleWithParams` in interface `SQLOperations`
      Overrides:
        `querySingleWithParams` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
        `arguments` - the arguments
      Returns:
        self

    - #### rxQuerySingleWithParams

          public Single<JsonArray> rxQuerySingleWithParams(String sql,
                                                           JsonArray arguments)

      Execute a one shot SQL statement with arguments that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `rxQuerySingleWithParams` in interface `SQLOperations`
      Overrides:
        `rxQuerySingleWithParams` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
        `arguments` - the arguments
      Returns:
        self

    - #### create

          public static JDBCClient create(Vertx vertx,
                                          JsonObject config)

      Create a JDBC client which maintains its own data source.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### createShared

          public static JDBCClient createShared(Vertx vertx,
                                                JsonObject config,
                                                String dataSourceName)

      Create a JDBC client which shares its data source with any other JDBC clients created with the same data source name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `dataSourceName` - the data source name
      Returns:
        the client

    - #### createShared

          public static JDBCClient createShared(Vertx vertx,
                                                JsonObject config)

      Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default data source name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### newInstance

          public static JDBCClient newInstance(JDBCClient arg)

Copyright © 2021 Eclipse. All rights reserved.